<id>
Smart Image Resize - File Attachments Patch
</id>

<version>
Beta 7
</version>

<mod info>
This mod uses javascript to resize attached images if they exceed a maximum size, while maintaining the original aspect ratio of the image.


Install Instructions:
	1..Only install this patch if you have both the File Attachments mod and the Smart Image Resize mod installed.
	2..Apply the mod as usual (Consult the BoardMod FAQ if you are unsure how to do this).
	3..Upload the modified files to your server.
	4..Go to the "Forum Preferences and Settings" and set the values for the maximum attached image sizes.

Notes:
	1..The maximum allowed image width and height are set in the forum preferences and settings admin area.
	2..If you specify the width or height, the image will be resized to that width or height while maintaining the aspect ratio of the original image. 
	3..If you specify both the width and height, the image will be resized to the size specified, adopting the specified aspect ratio.
	4..If the image exceeds the maximum allowed size, it will be resized to the maximum allowed size while maintaining it's original aspect ratio or the specified aspect ratio.
	5..If the users browser does not support javascript, the normal (unresized) image will be displayed.
</mod info>

<author>
BHRA Webmaster
</author>

<homepage>
http://www.bhra.org.uk
</homepage>

####################################################################################

<edit file>
english.lng
</edit file>

<search for>
$txt{'476c'} = "Maximum Signature Image Size (0 = disable limit)";
</search for>

<add after>
$txt{'476d'} = "Maximum Attachment Image Size (0 = disable limit)";
</add after>

####################################################################################

<edit file>
Sources/AdminEdit.pl
</edit file>

<search for>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><font size="2">$txt{'476c'}</font></td>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><font size="2">$txt{'477a'} <input type="text" name="MAXSIGWIDTH" size="5" value="$MAXSIGWIDTH"> &nbsp; &nbsp; $txt{'477b'} <input type=text name="MAXSIGHEIGHT" size="5" value="$MAXSIGHEIGHT"></font></td>
  </tr><tr>
</search for>

<add after>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><font size="2">$txt{'476d'}</font></td>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><font size="2">$txt{'477a'} <input type="text" name="MAXATTWIDTH" size="5" value="$MAXATTWIDTH"> &nbsp; &nbsp; $txt{'477b'} <input type=text name="MAXATTHEIGHT" size="5" value="$MAXATTHEIGHT"></font></td>
  </tr><tr>
</add after>

<search for>
	if ($FORM{'MAXSIGHEIGHT'} =~ /\d+/)  { $MAXSIGHEIGHT  = $FORM{'MAXSIGHEIGHT'};  }
	else { $MAXSIGHEIGHT = 0; }
</search for>

<add after>
	if ($FORM{'MAXATTWIDTH'} =~ /\d+/)  { $MAXATTWIDTH  = $FORM{'MAXATTWIDTH'};  }
	else { $MAXATTWIDTH = 0; }
	if ($FORM{'MAXATTHEIGHT'} =~ /\d+/)  { $MAXATTHEIGHT  = $FORM{'MAXATTHEIGHT'};  }
	else { $MAXATTHEIGHT = 0; }
</add after>

<search for>
\$MAXSIGHEIGHT = $MAXSIGHEIGHT;				# Set maximum pixel height for images in the signature, 0 disables this limit
</search for>

<add after>
\$MAXATTWIDTH = $MAXATTWIDTH;				# Set maximum pixel width for attached images, 0 disables this limit
\$MAXATTHEIGHT = $MAXATTHEIGHT;				# Set maximum pixel height for attached images, 0 disables this limit
</add after>

####################################################################################

<edit file>
Sources/Display.pl
</edit file>

<search for>
					$showattach = qq~<hr width="100%"><center><img src="$msf" alt"$msf" border="0"></center>~;
</search for>

<replace>
					$showattach = qq~<hr width="100%"><center><img src="$msf" style="display:none" onerror="javascript: this.style.display = 'inline'" onload="javascript: if (this.style.display == 'none') {resize_img(this, $MAXATTWIDTH, $MAXATTHEIGHT, 0, 0)}" alt="$msf" border="0"></center>~;
</replace>

